Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class SpotInstanceRequest

    java.lang.Object
      com.amazonaws.services.ec2.model.SpotInstanceRequest

    public class SpotInstanceRequest

extends Object

Constructor Summary
`SpotInstanceRequest()`

Method Summary
`String` | `getAvailabilityZoneGroup()`
`Date` | `getCreateTime()`
`SpotInstanceStateFault` | `getFault()`
`String` | `getInstanceId()`
`String` | `getLaunchGroup()`
`LaunchSpecification` | `getLaunchSpecification()`
`String` | `getProductDescription()`
`String` | `getSpotInstanceRequestId()`
`String` | `getSpotPrice()`
`String` | `getState()`
`String` | `getType()` Constraints: Allowed Values: one-time, persistent
`Date` | `getValidFrom()`
`Date` | `getValidUntil()`
`void` | `setAvailabilityZoneGroup(String availabilityZoneGroup)`
`void` | `setCreateTime(Date createTime)`
`void` | `setFault(SpotInstanceStateFault fault)`
`void` | `setInstanceId(String instanceId)`
`void` | `setLaunchGroup(String launchGroup)`
`void` | `setLaunchSpecification(LaunchSpecification launchSpecification)`
`void` | `setProductDescription(String productDescription)`
`void` | `setSpotInstanceRequestId(String spotInstanceRequestId)`
`void` | `setSpotPrice(String spotPrice)`
`void` | `setState(String state)`
`void` | `setType(String type)` Constraints: Allowed Values: one-time, persistent
`void` | `setValidFrom(Date validFrom)`
`void` | `setValidUntil(Date validUntil)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`SpotInstanceRequest` | `withAvailabilityZoneGroup(String availabilityZoneGroup)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withCreateTime(Date createTime)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withFault(SpotInstanceStateFault fault)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withInstanceId(String instanceId)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withLaunchGroup(String launchGroup)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withLaunchSpecification(LaunchSpecification launchSpecification)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withProductDescription(String productDescription)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withSpotInstanceRequestId(String spotInstanceRequestId)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withSpotPrice(String spotPrice)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withState(String state)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withType(String type)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withValidFrom(Date validFrom)` Returns a reference to this object so that method calls can be chained together.
`SpotInstanceRequest` | `withValidUntil(Date validUntil)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpotInstanceRequest

    public SpotInstanceRequest()

Method Detail

### getSpotInstanceRequestId

    public String getSpotInstanceRequestId()

  Returns:

### setSpotInstanceRequestId

    public void setSpotInstanceRequestId(String spotInstanceRequestId)

  Parameters:
    `spotInstanceRequestId` -

### withSpotInstanceRequestId

    public SpotInstanceRequest withSpotInstanceRequestId(String spotInstanceRequestId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotInstanceRequestId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getSpotPrice

    public String getSpotPrice()

  Returns:

### setSpotPrice

    public void setSpotPrice(String spotPrice)

  Parameters:
    `spotPrice` -

### withSpotPrice

    public SpotInstanceRequest withSpotPrice(String spotPrice)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `spotPrice` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getType

    public String getType()

  Constraints:
  Allowed Values: one-time, persistent

  Returns:
  See Also:
    `SpotInstanceType`

### setType

    public void setType(String type)

  Constraints:
  Allowed Values: one-time, persistent

  Parameters:
    `type` -
  See Also:
    `SpotInstanceType`

### withType

    public SpotInstanceRequest withType(String type)

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: one-time, persistent

  Parameters:
    `type` -
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `SpotInstanceType`

### getState

    public String getState()

  Returns:

### setState

    public void setState(String state)

  Parameters:
    `state` -

### withState

    public SpotInstanceRequest withState(String state)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getFault

    public SpotInstanceStateFault getFault()

  Returns:

### setFault

    public void setFault(SpotInstanceStateFault fault)

  Parameters:
    `fault` -

### withFault

    public SpotInstanceRequest withFault(SpotInstanceStateFault fault)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `fault` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValidFrom

    public Date getValidFrom()

  Returns:

### setValidFrom

    public void setValidFrom(Date validFrom)

  Parameters:
    `validFrom` -

### withValidFrom

    public SpotInstanceRequest withValidFrom(Date validFrom)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `validFrom` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getValidUntil

    public Date getValidUntil()

  Returns:

### setValidUntil

    public void setValidUntil(Date validUntil)

  Parameters:
    `validUntil` -

### withValidUntil

    public SpotInstanceRequest withValidUntil(Date validUntil)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `validUntil` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLaunchGroup

    public String getLaunchGroup()

  Returns:

### setLaunchGroup

    public void setLaunchGroup(String launchGroup)

  Parameters:
    `launchGroup` -

### withLaunchGroup

    public SpotInstanceRequest withLaunchGroup(String launchGroup)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `launchGroup` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZoneGroup

    public String getAvailabilityZoneGroup()

  Returns:

### setAvailabilityZoneGroup

    public void setAvailabilityZoneGroup(String availabilityZoneGroup)

  Parameters:
    `availabilityZoneGroup` -

### withAvailabilityZoneGroup

    public SpotInstanceRequest withAvailabilityZoneGroup(String availabilityZoneGroup)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZoneGroup` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getLaunchSpecification

    public LaunchSpecification getLaunchSpecification()

  Returns:

### setLaunchSpecification

    public void setLaunchSpecification(LaunchSpecification launchSpecification)

  Parameters:
    `launchSpecification` -

### withLaunchSpecification

    public SpotInstanceRequest withLaunchSpecification(LaunchSpecification launchSpecification)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `launchSpecification` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceId

    public String getInstanceId()

  Returns:

### setInstanceId

    public void setInstanceId(String instanceId)

  Parameters:
    `instanceId` -

### withInstanceId

    public SpotInstanceRequest withInstanceId(String instanceId)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreateTime

    public Date getCreateTime()

  Returns:

### setCreateTime

    public void setCreateTime(Date createTime)

  Parameters:
    `createTime` -

### withCreateTime

    public SpotInstanceRequest withCreateTime(Date createTime)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `createTime` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProductDescription

    public String getProductDescription()

  Returns:

### setProductDescription

    public void setProductDescription(String productDescription)

  Parameters:
    `productDescription` -

### withProductDescription

    public SpotInstanceRequest withProductDescription(String productDescription)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productDescription` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.